PANIC_NAND_WRITE(9)

NAME
panic_nand_write - [MTD Interface] NAND write with ECC

SYNOPSIS

int panic_nand_write(struct mtd_info * mtd, loff_t to, size_t len, size_t * retlen, const uint8_t * buf);

ARGUMENTS

mtd
    MTD device structure

to
    offset to write to

len
    number of bytes to write

retlen
    pointer to variable to store the number of written bytes

buf
    the data to write

DESCRIPTION

NAND write with ECC. Used when performing writes in interrupt context, this may for example be called by mtdoops when writing an oops while in panic.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT